/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCPROG.H__   1.0   15 Aug 1997 14:03:46   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCPROG.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:46   ZJRD
** Initial revision.
** 
****************************************************************************/

// srcprog.h : header file
//
#ifndef _SRCPROG_H_
#define _SRCPROG_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceLoadProgressDlg dialog

class CSourceLoadProgressDlg : public CDialog
{
// Construction
public:
	CSourceLoadProgressDlg(const CString& strFile, CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSourceLoadProgressDlg)
	enum { IDD = IDD_SRC_LOAD_PROGRESS };
	CButton	m_btnFinish;
	CButton	m_btnAbort;
	CStatic	m_staticBar;
	CString	m_strModule;
	CString	m_strSymbol;
	CString	m_strType;
	CString	m_strFunction;
	CString	m_strByte;
	CString	m_strLine;
	CString	m_strPC;
	CString	m_strFile;
	CString	m_strModuleName;
	//}}AFX_DATA
	
protected:
	int m_nPercent;
	int m_nOldPercent;
	BOOL m_bLoading;

protected:
        enum { tmEvent = 1, tmElapse = 100 };
    UINT m_uTimerID;

// Overrides
protected:
	void EnableControl();
	void UpdateLoadInfo();

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CSourceLoadProgressDlg)
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	afx_msg void OnButtonLoadprogressAbort();
	afx_msg void OnButtonLoadprogressFinish();
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
